Contents

# Wait Statement

Interrupts the program execution for the amount of time that you specify in milliseconds.

### Syntax:

Wait millisec

### Parameters:

millisec: Numeric expression that contains the amount of time (in milliseconds) to wait before the program is executed.

### Error codes:

5 Invalid procedure call

### Example:

    Sub ExampleWait
    Dim lTick As Long
        lTick = GetSystemTicks()
        Wait 2000
        lTick = (GetSystemTicks() - lTick)
        MsgBox "" & lTick & " Ticks" ,0,"The pause lasted"
    End Sub

Related Topics

WaitUntil statement